Issue 124369 - Apply bullets to paragraphs at different level, the bullets changed to wrong style
Summary: Apply bullets to paragraphs at different level, the bullets changed to wrong ...
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: PC Windows 7
: P3 Minor (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-07 02:35 UTC by Clarence GUO
Modified: 2014-03-25 15:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.0-beta
Developer Difficulty: ---


Attachments
sample document (13.95 KB, application/vnd.oasis.opendocument.text)
2014-03-07 09:05 UTC, Edwin Sharp
no flags Details
sample document (22.06 KB, application/vnd.oasis.opendocument.text)
2014-03-10 11:22 UTC, Edwin Sharp
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Clarence GUO 2014-03-07 02:35:54 UTC
1) Create a new writer document
2) Create three paragraphs
3) Apply three different graphic bullets for each of paragraphs from right click at each paragraph and select "Numbering/Bullets"
4) Select three paragraphs and change their bullets together to a same graphic bullet from right click at each paragraph and select "Numbering/Bullets"

Expect: Bullets at the three paragraphs should be change to the same new bullet.
Error: Only the bullet of the first paragraph correctly changed, the bullets of the second and the third paragraph changed to the old bullet of the first paragraph.

Test ENV: Build Rev.1571942
Win7 64 bit professional SP1, 16G
Comment 1 Edwin Sharp 2014-03-07 09:05:44 UTC
Created attachment 82811 [details]
sample document
Comment 2 Edwin Sharp 2014-03-07 09:06:18 UTC
Can not reproduce.
AOO410m14(Build:9760)  -  Rev. 1573601
2014-03-03 17:47:48 (Mo, 03 Mrz 2014)
Win 7
Comment 3 Clarence GUO 2014-03-10 09:18:34 UTC
Sorry, I missed one step before 3), the 3 paragraphs must have different level and different graphic bullet. Then apply a new graphic bullet to the three paragraphs, only the first paragraph was successfully applied.
Comment 4 Edwin Sharp 2014-03-10 10:48:53 UTC
reopened
Comment 5 Edwin Sharp 2014-03-10 11:18:16 UTC
Confirmed with
AOO410m14(Build:9760)  -  Rev. 1573601
2014-03-03 17:47:48 (Mo, 03 Mrz 2014)
Win 7
Comment 6 Edwin Sharp 2014-03-10 11:22:16 UTC
Created attachment 82831 [details]
sample document
Comment 7 Oliver-Rainer Wittmann 2014-03-25 15:32:28 UTC
I can also confirm the described behavior.

I reproduced it already in OOo 3.3.0.

The solution which had been made for issue 124371 also fixes this use case as each of the three paragraphs is in its own list and have its own list style applied.

But there is another use case:
- insert three paragraphs
- put them into a list by applying a graphic bullet list style
- move each of the paragraph on a different list level
- select all paragraphs
- change the graphic bullet via the corresponding formatting dialog or the corresponding sidebar function
--> the graphic bullet of only one paragraph changed to the chosen graphic bullet